Name:       libopus
Version:    1.4.0
Release:    1%{?dist}
Summary:    libopus - An audio codec for use in low-delay speech and audio communication
Group:      Applications/System
License:    MIT license
URL:        https://opus-codec.org/
%undefine   _disable_source_fetch
Source0:    https://gitlab.xiph.org/xiph/opus/-/archive/v1.4/opus-v1.4.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: 	%packager
BuildRequires: gcc, libgcc, glibc-devel, zlib-devel, gcc-c++, make,cmake3,git


%define debug_package %nil

%description
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec.
##################################################################################################################
%package devel
Summary: libopus-devel - Development package for libopus
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The libopus-devel package contains libraries and header files for
developing applications that use libopus.
##

%prep

%setup -q -n opus-v1.4
#--enable-fuzzing        causes the encoder to make random decisions (do not use in production)
%build
mkdir build
pushd build
cmake3 -G "Unix Makefiles" -DCMAKE_INSTALL_PREFIX="%{_prefix}" -DOPUS_BUILD_SHARED_LIBRARY=ON -DOPUS_X86_MAY_HAVE_SSE4_1=ON ../
make %{?_smp_mflags}

%install
pushd build
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#%check
#make check %{?_smp_mflags}

#%post
#if [ $1 == 1 ];then
#       #installed
#fi

#%postun
#if [ $1 == 0 ];then
   #uninstalled   
#fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS NEWS README COPYING
%license LICENSE_PLEASE_READ.txt
%{_libdir}/libopus.so.0
%{_libdir}/libopus.so.0.9.0


%files devel
%{_includedir}/opus/opus.h
%{_includedir}/opus/opus_defines.h
%{_includedir}/opus/opus_multistream.h
%{_includedir}/opus/opus_projection.h
%{_includedir}/opus/opus_types.h
%{_libdir}/libopus.so
%{_libdir}/pkgconfig/opus.pc
%{_libdir}/cmake/Opus/OpusConfig.cmake
%{_libdir}/cmake/Opus/OpusConfigVersion.cmake
%{_libdir}/cmake/Opus/OpusTargets-release.cmake
%{_libdir}/cmake/Opus/OpusTargets.cmake